Skip to main content
Astra Automation
简体中文版经机器翻译而成,仅供参考。如与英语版出现任何冲突,应以英语版为准。

检索云的存储类

GET /accounts/{account_id}/topology/v1/clouds/{cloud_id}/clusters/{cluster_id}/storageClasses/{storageClass_id}

返回 JSON 响应正文中存储的 Storage Class API 资源。

参数

名称 Type Required Description

account_id

string

path

True

包含帐户资源的 ID

  • 示例:{{.Account}}

cloud_id

string

path

True

包含的云资源的 ID

cluster_id

string

path

True

包含群集资源的 ID

storageClass_id

string

path

True

要列出的 storageClass 集合的 ID

响应

Status: 200, Returns the stored Storage Class API resource in the JSON response body.
名称 Type Required Description

type

string

True

资源的媒体类型。定义的值为:

  • "application/astra-storageClass"

version

string

True

资源的版本。定义的值为:

  • "1.0"

  • "1.1"

id

string

True

资源的全局唯一标识符。定义的值为:

  • 符合 UUIDv4 架构

name

string

True

包含指示存储类名称的值的 JSON 字符串。定义的值是:

  • 最小长度:1

  • 最大长度:255

配置器

string

True

包含指示与存储类关联的置备程序的值的 JSON 字符串。定义的值为:

  • 最小长度:1

  • 最大长度:255

可用

string

True

JSON 字符串,指示存储类是否可用于集群或是否有资格在管理时添加到集群。定义的值为:

  • "available" - 存储类可供使用

  • "eligible" - 当集群处于管理下时,存储类有资格被集群使用

  • "ineligible" - 存储类在管理时不符合集群使用的条件

allowVolumeExpansion

string

True

JSON 字符串,指示存储类是否允许卷扩展。定义的值是:

  • "true" - 此存储类允许卷扩展

  • "false" - 存储类不允许卷扩展

  • "unavailable" - 未知存储类是否允许卷扩展

reclaimPolicy

string

True

包含指示存储类的保留策略的云特定值的 JSON 字符串。定义的值为:

  • 最小长度:1

  • 最大长度:255

volumeBindingMode

string

True

JSON 字符串,包含指示存储类的绑定模式的特定于云的值。定义的值是:

  • 最小长度:1

  • 最大长度:255

isDefault

string

False

JSON 字符串,指示存储类是否包含默认批注。定义的值为:

  • "true" - 存储类包含默认批注

maxSnapshotCount

数字

False

表示支持多少个快照的 JSON 编号。此信息附加到 NetApp 提供的存储类。

maxBackupCount

数字

False

表示支持多少个备份的 JSON 编号。此信息附加到 NetApp 提供的存储类。

价格

string

False

JSON 字符串,指示存储类的每单位时间的货币单位。此信息附加到 NetApp 提供的存储类。定义的值为:

  • 最小长度:1

  • 最大长度:63

货币

string

False

表示价格所用货币的 ISO 4217 三个字母代码的 JSON 字符串。此信息附加到 NetApp 提供的存储类。定义的值为:

  • 最小长度:1

  • 最大长度:255

性能

数字

False

JSON 编号,以 MBps 表示性能服务级别目标 (SLO)。此信息附加到 NetApp 提供的存储类。

复原力

string

False

表示存储弹性配置的 JSON 字符串。此信息附加到 NetApp 提供的存储类。定义的值是:

  • "regional" - 如果给定区域不可用,该卷将变得不可用

  • "multisite" - 如果给定区域不可用,卷将继续可用

元数据

"type_astra_metadata"

True

与资源关联的客户端和服务指定的元数据。定义的值为:

  • 符合 Astra 元数据架构

响应示例
{
  "type": "application/astra-storageClass",
  "version": "1.1",
  "id": "ad9be22b-53c7-540c-8647-76afe2878952",
  "name": "my-storage-class",
  "provisioner": "csi.trident.netapp.io",
  "available": "eligible",
  "allowVolumeExpansion": "true",
  "reclaimPolicy": "recycle",
  "volumeBindingMode": "immediate",
  "isDefault": "true",
  "metadata": {
    "labels": [],
    "creationTimestamp": "2022-10-06T20:58:16.305662Z",
    "modificationTimestamp": "2022-10-06T20:58:16.305662Z",
    "createdBy": "8f84cf09-8036-51e4-b579-bd30cb07b269"
  }
}

响应

Status: 401, Unauthorized
名称 Type Required Description

type

string

True

标题

string

True

详细信息

string

True

状态

string

True

correlationID

string

False

响应示例
{
  "type": "https://astra.netapp.io/problems/3",
  "title": "Missing bearer token",
  "detail": "The request is missing the required bearer token.",
  "status": "401"
}

响应

Status: 400, Bad request
名称 Type Required Description

type

string

True

标题

string

True

详细信息

string

True

状态

string

True

correlationID

string

False

invalidParams

数组["invalidParams"]

False

无效查询参数列表

响应示例
{
  "type": "https://astra.netapp.io/problems/5",
  "title": "Invalid query parameters",
  "detail": "The supplied query parameters are invalid.",
  "status": "400"
}

响应

Status: 403, Forbidden
名称 Type Required Description

type

string

True

标题

string

True

详细信息

string

True

状态

string

True

correlationID

string

False

响应示例
{
  "type": "https://astra.netapp.io/problems/11",
  "title": "Operation not permitted",
  "detail": "The requested operation isn't permitted.",
  "status": "403"
}

错误

Status: 404, Not found
名称 Type Required Description

type

string

True

标题

string

True

详细信息

string

True

状态

string

True

correlationID

string

False

错误响应示例
{
  "type": "https://astra.netapp.io/problems/2",
  "title": "Collection not found",
  "detail": "The collection specified in the request URI wasn't found.",
  "status": "404"
}

定义

查看定义

类型 Astra 标签

名称 Type Required Description

name

string

True

value

string

True

type_astra_metadata

与资源关联的客户端和服务指定的元数据。定义的值为:

  • 符合 Astra 元数据架构

名称 Type Required Description

labels

数组["类型 Astra 标签"]

True

creationTimestamp

string

True

modificationTimestamp

string

True

已创建

string

True

modifiedBy

string

False

invalidParams

名称 Type Required Description

name

string

True

无效查询参数的名称

原因

string

True

查询参数无效的原因